Bug 1286989 - [abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
[abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xarchiver (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ffc701e10838137c1ec1f1dcfd3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 04:56 EST by Marius Pfeffer
Modified: 2016-12-20 11:27 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:27:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.04 KB, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: core_backtrace (8.48 KB, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: dso_list (7.63 KB, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: environ (1.78 KB, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: maps (40.52 KB, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: mountinfo (3.52 KB, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: open_fds (992 bytes, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: proc_pid_status (1004 bytes, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details
File: var_log_messages (309 bytes, text/plain)
2015-12-01 04:56 EST, Marius Pfeffer
no flags Details

  None (edit)
Description Marius Pfeffer 2015-12-01 04:56:29 EST
Version-Release number of selected component:
xarchiver-0.5.4-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xarchiver /home/neo/Downloads/Slic3r_config_bundle_metalab_v1.zip
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     3919
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 xa_remove_level_from_path at string_utils.c:151
 #2 drag_data_get at window.c:1718
 #6 g_signal_emit_by_name at gsignal.c:3479
 #7 gtk_drag_selection_get at gtkdnd.c:3836
 #11 g_signal_emit_by_name at gsignal.c:3479
 #12 gtk_selection_invoke_handler at gtkselection.c:2986
 #13 _gtk_selection_request at gtkselection.c:2391
 #14 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #19 gtk_widget_event_internal at gtkwidget.c:5017

Potential duplicate: bug 1173954
Comment 1 Marius Pfeffer 2015-12-01 04:56:34 EST
Created attachment 1100810 [details]
File: backtrace
Comment 2 Marius Pfeffer 2015-12-01 04:56:35 EST
Created attachment 1100811 [details]
File: cgroup
Comment 3 Marius Pfeffer 2015-12-01 04:56:37 EST
Created attachment 1100812 [details]
File: core_backtrace
Comment 4 Marius Pfeffer 2015-12-01 04:56:38 EST
Created attachment 1100813 [details]
File: dso_list
Comment 5 Marius Pfeffer 2015-12-01 04:56:39 EST
Created attachment 1100814 [details]
File: environ
Comment 6 Marius Pfeffer 2015-12-01 04:56:41 EST
Created attachment 1100815 [details]
File: exploitable
Comment 7 Marius Pfeffer 2015-12-01 04:56:42 EST
Created attachment 1100816 [details]
File: limits
Comment 8 Marius Pfeffer 2015-12-01 04:56:44 EST
Created attachment 1100817 [details]
File: maps
Comment 9 Marius Pfeffer 2015-12-01 04:56:45 EST
Created attachment 1100818 [details]
File: mountinfo
Comment 10 Marius Pfeffer 2015-12-01 04:56:47 EST
Created attachment 1100819 [details]
File: namespaces
Comment 11 Marius Pfeffer 2015-12-01 04:56:48 EST
Created attachment 1100820 [details]
File: open_fds
Comment 12 Marius Pfeffer 2015-12-01 04:56:49 EST
Created attachment 1100821 [details]
File: proc_pid_status
Comment 13 Marius Pfeffer 2015-12-01 04:56:51 EST
Created attachment 1100822 [details]
File: var_log_messages
Comment 14 Arjen Heidinga 2015-12-04 04:38:15 EST
Another user experienced a similar problem:

drag a dir fron the archiver, ythe very mnoment it hovers over the desktop it crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xarchiver /tmp/geppetto-linux.gtk.x86_64-4.3.1-R201501182354.zip
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     3390
kernel:         4.2.6-301.fc23.x86_64
package:        xarchiver-0.5.4-2.fc23
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Lorenzo 2015-12-07 15:33:07 EST
This happens to me if dragging a dir within a zip file to the Desktop in XFCE.
Comment 16 Jonathan White 2015-12-26 09:40:24 EST
Another user experienced a similar problem:

Crash occured twice while dragging a file from an inner tar.xz archive to Thunar file manager. Seemed to happen on initial load of the archive and then on the third load.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        xarchiver /home/jon/.cache/.fr-o00HoI/data.tar.xz
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     16670
kernel:         4.2.7-300.fc23.x86_64
package:        xarchiver-0.5.4-2.fc23
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 jamie 2016-03-14 15:39:39 EDT
Similar problem has been detected:

I had a folder in my home folder owneb by root. This is what I did: 
1. Tried to drag the contents there
2. I got a promision deined error.
2. It failed, so I went back to my home fodler(~)
3. I treid dragging the contents there, xarckiver crashed. 

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        xarchiver /home/owner/Downloads/gishdemo.tar.gz
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     30141
kernel:         4.4.4-301.fc23.x86_64
package:        xarchiver-0.5.4-2.fc23
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 d.ilatowski 2016-03-22 16:30:21 EDT
Similar problem has been detected:

The application crashes while trying to extract archives to desktop

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        xarchiver '/home/dave-kun/\xd0\x97\xd0\xb0\xd0\xb3\xd1\x80\xd1\x83\xd0\xb7\xd0\xba\xd0\xb8/Bluecurve-Phenix-GTk3.tar.gz'
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     4885
kernel:         4.4.5-300.fc23.x86_64
package:        xarchiver-0.5.4-2.fc23
reason:         xarchiver killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Fedora End Of Life 2016-11-24 08:52:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 11:27:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.